View as Markdown

Instruments

Data model

Bond

ccyCodestring, required

ISO 4217 code for the bond's currency. Examples: "USD", "EUR", "DKK".

countryCodestring, required

ISO 3166-1 alpha-2 code representing the bond issuer's domicile. Examples: "US", "DE", "DK".

couponFrequencystring, required

Specifies how often the coupon payment occurs. Possible values: "quarterly", "semiannually", "annually". Some instruments will have a value of "other", but new instruments can not be created with this value.

datedDatestring, optional

ISO 8601 representation of the start date for accrued interest calculation.

dayCountConventionstring, required

Specifies the method used to calculate interest accruals. Possible values: "actual/actual", "30/360", "actual/360". Some instruments will have a value of "other", but new instruments can not be created with this value.

firstCouponDatestring, optional

ISO 8601 representation of the first coupon date.

maturityDatestring, optional

ISO 8601 representation of the bond's maturity date.

namestring, required

Display name of the bond.

securityIdentifierstring, required

Security identifier of the instrument.

Fee

namestring, required

Name of the instrument.

categorystring, required

Type of fee. Possible values: "custody", "management", "other".

FX Forward, Cash Settlement

agreementDatestring, required

ISO 8601 representation of the date when the FX forward was agreed upon.

fixingDatestring, required

ISO 8601 representation of the date on which the difference between the spot rate and the agreed forward rate is calculated.

notionalAmountnumber, required

The agreed-upon amount for the FX forward, denominated in the contract's primary currency.

primaryCcyCodestring, required

ISO 4217 code for the currency in which the notional amount is denominated. Examples: "USD", "EUR", "DKK".

secondaryCcyCodestring, required

ISO 4217 code for the currency in which the settlement amount is denominated. Examples: "USD", "EUR", "DKK".

securityIdentifierstring, required

Security identifier of the instrument.

settlementAmountnumber, required

The agreed settlement amount, denominated in the contract's secondary currency.

settlementDatestring, required

ISO 8601 representation of the date the FX forward is settled.

Relationships:

  • account: The account the cash settlement will affect.

FX Forward, Physical Delivery

agreementDatestring, required

ISO 8601 representation of the date when the FX forward was agreed upon.

fixingDatestring, required

ISO 8601 representation of the date on which the difference between the spot rate and the agreed forward rate is calculated.

notionalAmountnumber, required

The notional amount, denominated in the currency of the primary account.

securityIdentifierstring, required

Security identifier of the instrument.

settlementAmountnumber, required

The agreed settlement amount, denominated in the currency of the secondary account.

settlementDatestring, required

ISO 8601 representation of the date the FX forward is settled.

Relationships:

  • primaryAccount: The account associated with the notional amount.
  • secondaryAccount: The account associated with the settlement amount.

Index-linked Bond

ccyCodestring, required

ISO 4217 code for the bond's currency. Examples: "USD", "EUR", "DKK".

countryCodestring, required

ISO 3166-1 alpha-2 code representing the bond issuer's domicile. Examples: "US", "DE", "DK".

couponFrequencystring, required

Specifies how often the coupon payment occurs. Possible values: "quarterly", "semiannually", "annually". Some instruments will have a value of "other", but new instruments can not be created with this value.

datedDatestring, optional

ISO 8601 representation of the start date for accrued interest calculation.

dayCountConventionstring, required

Specifies the method used to calculate interest accruals. Possible values: "actual/actual", "30/360", "actual/360". Some instruments will have a value of "other", but new instruments can not be created with this value.

firstCouponDatestring, optional

ISO 8601 representation of the first coupon date.

maturityDatestring, optional

ISO 8601 representation of the bond's maturity date.

namestring, required

Display name of the bond.

securityIdentifierstring, required

Security identifier of the instrument.

Loan

agreementDatestring, required

ISO 8601 representation of the date when the loan was agreed upon.

dayCountConventionstring, required

The method used to calculate interest. Possible values: "actual/actual", "30/360", "actual/360". Some instruments will have a value of "other", but new instruments can not be created with this value.

interestRateInPercentnumber, required

The fixed interest rate for the loan, expressed as a percentage (e.g., 1.5 for 1.5%). This should usually be a positive number, as the sign of the principal amount affects the sign of the accruing interest, but in unusual periods with negative interest rates it can be negative. Only sent when creating a loan; it is not returned when the instrument is read.

maturityDatestring, required

ISO 8601 representation of the date when the loan matures.

principalAmountnumber, required

The agreed-upon amount for the loan, denominated in the account's currency. A positive value represents receivables (an instrument), while a negative value represents payables (a liability).

securityIdentifierstring, required

Security identifier of the instrument.

Relationships:

  • account: The account the loan will affect.

Mutual Fund

ccyCodestring, required

ISO 4217 code for the mutual fund's currency. Examples: "USD", "EUR", "DKK".

countryCodestring, required

ISO 3166-1 alpha-2 code representing the mutual fund issuer's domicile. Examples: "US", "DE", "DK".

namestring, required

Display name of the mutual fund.

securityIdentifierstring, required

Security identifier of the instrument.

gicsobject, read-only

The instrument's GICS classification, or null when it has no valid 8-digit GICS code. Its shape is described under GICS below.

Private Market Fund, Commitment Based

customIdentifierstring, optional

Custom identifier of the instrument. When it is left out or null on create, Aleta assigns a generated identifier, which is returned in this field.

fundobject, required

The details of the fund.

fund.managerNamestring, required

Name of the fund manager. Accepted on create but not stored; responses return an empty string.

fund.namestring, required

Name of the fund.

fund.ccyCodestring, required

ISO 4217 code for the fund's currency. Examples: "USD", "EUR", "DKK".

fund.strategystring, required

Strategy of the fund. Possible values: "leveraged-buyout", "mezzanine-capital", "venture-capital", "growth-capital", "distressed-and-special-situations", "credit", "fund-of-funds", "energy", "real-estate", "private-debt", "infrastructure", "private-equity", "real-asset-agriculture", "real-asset-timberland", "other". Any other value is returned as "other".

fund.investmentRegionstring, required

Region of the fund. Possible values: "north-america", "asia", "africa", "latin-america", "europe", "south-america", "north-america-europe", "denmark", "global", "nordic", "oecd", "france-germany", "france", "spain", "germany", "other". Any other value is returned as "other".

fund.vintageDatestring, required

ISO 8601 representation of the vintage date of the fund. Responses return it as a date-time, e.g. "2020-01-01T00:00:00Z".

fund.expectedExitDatestring, required

ISO 8601 representation of the expected exit date of the fund. Responses return it as a date-time, e.g. "2028-12-31T00:00:00Z".

initialCommitmentobject, required

Initial Commitment object. This is only relevant when posting a new fund and will not be part of the payload when retrieving an existing fund.

exitDatestring, optional

ISO 8601 representation of the exit date of the fund. The exitDate field is part of the resource model, but cannot be set during post or update. It is populated after the position is closed.

Relationships:

  • depository: The depository the private market fund investment is reported on.
  • commitments: The commitments made to the fund.

Initial Commitment

datestring, required

ISO 8601 representation of the date the initial commitment was made.

valuenumber, required

The initial commitment amount, denominated in the fund's currency.

Refund

namestring, required

Name of the instrument.

Stock

ccyCodestring, required

ISO 4217 code for the stock's currency. Examples: "USD", "EUR", "DKK".

countryCodestring, required

ISO 3166-1 alpha-2 code representing the company's domicile. Examples: "US", "DE", "DK".

namestring, required

Display name of the stock.

securityIdentifierstring, required

Security identifier of the instrument.

gicsobject, read-only

The instrument's GICS classification, or null when it has no valid 8-digit GICS code. Its shape is described under GICS below.

GICS

Returned on stock and mutual fund instruments when they are read. Not accepted on create; a newly created instrument returns null.

sectorobject

The 2-digit sector: code and name.

industryGroupobject

The 4-digit industry group: code and name.

industryobject

The 6-digit industry: code and name.

subIndustryobject

The 8-digit sub-industry: code and name.

Each level's name is the English GICS name, or null when the name is not known.

Zero Coupon Bond

ccyCodestring, required

ISO 4217 code for the bond's currency. Examples: "USD", "EUR", "DKK".

countryCodestring, required

ISO 3166-1 alpha-2 code representing the bond issuer's domicile. Examples: "US", "DE", "DK".

maturityDatestring, optional

ISO 8601 representation of the bond's maturity date.

namestring, required

Display name of the bond.

securityIdentifierstring, required

Security identifier of the instrument.

Other

This type represents a range of other, more uncommon types of instruments in the system. Instruments of this type can only be retrieved, not created.

ccyCodestring

ISO 4217 code for the instrument's currency, or null (always null for contract-based instruments).

namestring

Display name of the instrument.

securityIdentifierstring, required

Security identifier of the instrument.


GET/api/v3/instruments/{id}

Retrieve an instrument

Parameters

idpath, required

Instrument identifier.

Request
GET/api/v3/instruments/{id}
GET /api/v3/instruments/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json

{
  "data": {
    "id": "5e6a90cf921d8b1874c32ed5",
    "type": "bond-instrument",
    "attributes": {
      "ccyCode": "DKK",
      "countryCode": "DK",
      "couponFrequency": "quarterly",
      "dayCountConvention": "actual/actual",
      "firstCouponDate": "2010-07-01",
      "datedDate": "2010-04-23",
      "maturityDate": "2041-07-01",
      "name": "4% Nordea Kre 41",
      "securityIdentifier": "DK0002024876"
    }
  }
}

GET/api/v3/instruments/{reportingEntityId}/private-instruments

List private instruments

Gets all private instruments owned by the provided reporting entity.

Parameters

reportingEntityIdpath, required

Reporting entity identifier.

Request
GET/api/v3/instruments/{reportingEntityId}/private-instruments
GET /api/v3/instruments/cc4bda6ebab880fdb125f072/private-instruments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json

{
  "data": [
    {
      "id": "cc4bda6ebab880fdb125f072",
      "type": "mutual-fund-instrument",
      "attributes": {
        "ccyCode": "DKK",
        "countryCode": null,
        "name": "0,19% RealkreditDK Termin",
        "securityIdentifier": "ZZ0004603112",
        "gics": null
      }
    }
  ]
}

POST/api/v3/instruments

Create an instrument

Create a new instrument.

New Fee type instruments can not be created. New Other type instruments can not be created.

Instrument already exists

When attempting to create a bond, index-linked bond, zero coupon bond, stock or mutual fund instrument with a combination of securityIdentifier and ccyCode that already exists in the system, the API responds with a 303 See Other redirection that provides a Location header, pointing to the GET /instruments/:id endpoint where the instrument can be found.

Request
POST/api/v3/instruments
POST /api/v3/instruments HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Content-Type: application/vnd.json+api
Host: api.aleta.ai

{
  "data": {
    "type": "bond-instrument",
    "attributes": {
      "ccyCode": "DKK",
      "countryCode": "DK",
      "couponFrequency": "quarterly",
      "dayCountConvention": "actual/actual",
      "firstCouponDate": "2010-07-01",
      "datedDate": "2010-04-23",
      "maturityDate": "2041-07-01",
      "name": "4% Nordea Kre 41",
      "securityIdentifier": "DK0002024876"
    }
  }
}
Response
HTTP/1.1 201 Created
Content-Type: application/vnd.api+json

{
  "data": {
    "id": "5e6a90cf921d8b1874c32ed5",
    "type": "bond-instrument",
    "attributes": {
      "ccyCode": "DKK",
      "countryCode": "DK",
      "couponFrequency": "quarterly",
      "dayCountConvention": "actual/actual",
      "firstCouponDate": "2010-07-01",
      "datedDate": "2010-04-23",
      "maturityDate": "2041-07-01",
      "name": "4% Nordea Kre 41",
      "securityIdentifier": "DK0002024876"
    }
  }
}

DELETE/api/v3/instruments/{id}

Delete an instrument

Parameters

idpath, required

Instrument identifier.

Request
DELETE/api/v3/instruments/{id}
DELETE /api/v3/instruments/6704d535298ab60100cbc56c HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 204 No Content